Create Helix Events in Batch

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The Helix batch endpoint lets users create multiple Helix events with a single API request. The service accepts the job and immediately processes events asynchronously in the background. Users should leverage the Helix batch route when creating a high volume of events. Alternatively, users can call the Helix event API (Helix Event API) when creating one or a few events and want synchronous behavior.

❗️

Batch Size: Maximum of 1,000 events per job.

Example Payload:

curl --request POST \
     --url https://api.verkada.com/cameras/v1/video_tagging/event/batch \
     --header 'accept: application/json' \
     --header 'content-type: application/json' \
     --header 'x-verkada-auth: v2_8bf4fad2f8b8c0fd4107fcdbf99ee9e5' \
     --data '
{
  "items": [
    {
      "attributes": {
        "newKey": "New Value"
      },
      "flagged": false,
      "camera_id": "CAMERA_ID",
      "event_type_uid": "EVENT_TYPE_UID",
      "time_ms": "TIME_MS"
    },
    {
      "flagged": false,
      "camera_id": "CAMERA_ID",
      "event_type_uid": "EVENT_TYPE_UID",
      "time_ms": "TIME_MS"
    }
  ]
}
'

If successful, the API returns HTTP 202 Accepted. It is important to note that this does not mean the Helix events are created yet. The 202 code signals that the job is successfully queued.

Key Response Fields:

  • job_id: The unique identifier for the job.
  • status: The status of the asynchronous job.
  • status_url: The status URL for processed job.
    • This can then be used to query to Get Job Status API.
  • total_items: Number of items (or events) being processed by the job.
Body Params
items
array of objects
required
length between 1 and 1000

List of items to process

Items*
attributes
object

List of event attributes.

string
required

The unique identifier of the camera.

string
required

The unique identifier of the event type.

boolean
Defaults to false

Whether or not an event is flagged.

integer
required

The event epoch time in milliseconds.

Responses
200

ok

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json